LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
theCoreReflection Singleton Reference

`import"theCoreReflection.idl";`

Inheritance diagram for theCoreReflection:

## Additional Inherited Members
Public Member Functions inherited from XIdlReflection
com::sun::star::reflection::XIdlClass | forName ([in] string aTypeName)
| Obtaining a reflection interface for a type. More...
com::sun::star::reflection::XIdlClass | getType ([in] any aObj)
| Obtaining a reflection interface for an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Since
  LibreOffice 4.0

The documentation for this singleton was generated from the following file:

- com/sun/star/reflection/theCoreReflection.idl